tuple_algorithm.hpp File Reference

## Classes

struct | ranges::make_tuple_fn
struct | ranges::tuple_apply_fn
struct | ranges::tuple_foldl_fn
struct | ranges::tuple_for_each_fn
struct | ranges::tuple_transform_fn

## Typedefs

template<typename Tup >
using | ranges::tuple_indices_t = meta::make_index_sequence< std::tuple_size< typename std::remove_reference< Tup >::type >::value >

## Variables

constexpr make_tuple_fn | ranges::make_tuple {}
constexpr tuple_apply_fn | ranges::tuple_apply {}
constexpr tuple_foldl_fn | ranges::tuple_foldl {}
constexpr tuple_for_each_fn | ranges::tuple_for_each {}
constexpr tuple_transform_fn | ranges::tuple_transform {}